import n, { useState as c, useEffect as i } from "react";
import m from "classnames";
import { Ctx as p } from "./accelbyte-widgets33.mjs";
import { LandingPanel as s } from "./accelbyte-widgets313.mjs";
function d({ onLinkAccount: t, onReclaim: e, className: a }) {
  const { linkTwitchManager: r } = p.getAppState(), [, o] = c({});
  return i(() => {
    r.subscribe(() => o({}));
  }, []), /* @__PURE__ */ n.createElement(
    s,
    {
      onLinkAccount: t,
      onReclaim: e,
      className: m("twitchDropLandingPage twitchDropLayout", a)
    }
  );
}
export {
  d as TwitchDropLandingPage
};
